redsn0w updated to version 0.9.14b2 with fixes for downgrading iPhone baseband

If you've got an iPhone 3G or iPhone 3GS and need to downgrade the baseband but were recently having issues, or were unable to downgrade, the iPhone Dev Team have released an updated version of redsn0w that may now support your device.

It's worth noting that the new version will still not support the 2012 iPhone 3GS model as the chipset is incompatible with the 06.15.00 iPad baseband. If you run redsn0w on the newer versions you'll most likely brick it so make sure you're checking your serial to confirm that your iPhone 3G or 3GS is compatible with the new version. You can do so by checking out our tutorial:

If you need help or run into issues, hop into our forums via the link below for help and for answers to many already asked questions. If you need to download the newer version of redsn0w you can also do that via our downloads page under the redsn0w section.

Source: Dev Team Blog

Additional Resources: